searchData={"items":[{"type":"module","title":"BroadwaySQSInit","doc":"A utility module to ensure an SQS queue exists before starting a Broadway pipeline.\nIt checks if the queue exists using `ExAws.SQS.get_queue_url/1` and creates it with\n`ExAws.SQS.create_queue/2` if it doesn't. Returns the queue URL for use in Broadway configuration.","ref":"BroadwaySQSInit.html"},{"type":"function","title":"BroadwaySQSInit.ensure_queue_exists/3","doc":"Ensures the specified SQS queue exists, creating it if necessary.","ref":"BroadwaySQSInit.html#ensure_queue_exists/3"},{"type":"function","title":"Parameters - BroadwaySQSInit.ensure_queue_exists/3","doc":"- opts: A map containing:\n    - `:queue_name` (required): The name of the SQS queue.\n    - `:queue_attributes` (optional): A map of queue attributes (e.g., `fifo_queue: true`).\n    - `:aws_config` (required): A keyword list with AWS credentials (`access_key_id`, `secret_access_key`, `region`).","ref":"BroadwaySQSInit.html#ensure_queue_exists/3-parameters"},{"type":"function","title":"Returns - BroadwaySQSInit.ensure_queue_exists/3","doc":"- The queue URL as a string.","ref":"BroadwaySQSInit.html#ensure_queue_exists/3-returns"},{"type":"function","title":"Raises - BroadwaySQSInit.ensure_queue_exists/3","doc":"- If the queue cannot be accessed or created, an exception is thrown with the error details.","ref":"BroadwaySQSInit.html#ensure_queue_exists/3-raises"},{"type":"function","title":"Example - BroadwaySQSInit.ensure_queue_exists/3","doc":"queue_url = BroadwaySQSInit.ensure_queue_exists(\n      \"my_queue.fifo\",\n      %{fifo_queue: true, content_based_deduplication: true},\n      [\n        access_key_id: System.get_env(\"AWS_ACCESS_KEY_ID\"),\n        secret_access_key: System.get_env(\"AWS_SECRET_ACCESS_KEY\"),\n        region: \"us-east-1\"\n      ]\n    )\n\n    Broadway.start_link(MyBroadway,\n      name: MyBroadway,\n      producer: [\n        module: {BroadwaySQS.Producer,\n          queue_url: queue_url,\n          config: [\n            access_key_id: System.get_env(\"AWS_ACCESS_KEY_ID\"),\n            secret_access_key: System.get_env(\"AWS_SECRET_ACCESS_KEY\"),\n            region: \"us-east-1\"\n          ]\n        }\n      ]\n    )","ref":"BroadwaySQSInit.html#ensure_queue_exists/3-example"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}